//
//  Path.h
//  OSXGLEssentials
//
//  Created by Joshua Moerman on 10/03/14.
//
//

#pragma once

#include <Box2D/Box2D.h>
#include <memory>

struct PathBuilder {
    virtual ~PathBuilder() = default;
    virtual void buildUpTo(float x) = 0;
};

// Has a path builder object
struct Path {
    Path(b2World & world);
    void buildUpTo(float x);

private:
    b2World & world;
    std::unique_ptr<PathBuilder> impl;
};
